from setuptools import setup, find_packages

setup(
    name="csv_combiner_ignoring_first_row",
    version="0.6.0",
    packages=find_packages(),
    install_requires=["pandas"],
    entry_points={
        "console_scripts": [
            "csv-combine=csv_combiner.combiner:main",  # Change from combine_csv_files to main
        ],
    },
    author="Your Name",
    author_email="your.email@example.com",
    description="A simple CSV combiner tool",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/csv_combiner",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)